import { ActiveToast } from 'ngx-toastr';
import { ZUIToastV2Service } from './service/index.service';
import { IInputVal } from '../constants';
export declare class ZuiToastV2Component {
    private zuiToastV2Service;
    set hideClose(val: IInputVal);
    showClose: boolean;
    set noBorder(val: IInputVal);
    showBorder: boolean;
    activeToast: ActiveToast<any>;
    constructor(zuiToastV2Service: ZUIToastV2Service);
    close: () => void;
}
